# Clutter is listed in site.conf as being "ABI-safe" which means that
# Bitbake won't force a rebuild of packages that depend on Clutter when
# Clutter changes. Whilst this is fine for code that uses Clutter through
# stable APIs (such as GLES) this is more problematic for code that
# talks to Clutter directly.

# Any recipes that depend on Clutter that need to be rebuilt if the
# Clutter ABI change should include this file so the ABI version is
# included in appropriate signatures to force a rebuild.

BS_CLUTTER_ABI_VERSION = "1"

# We need to export the variable so that the signature generator
# thinks it is significant and adds it to the hash.
export BS_CLUTTER_ABI_VERSION
