LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://dhcpcd.c;beginline=6;endline=26;md5=239979d4ee04ad1437286ca7cbab34ff"

SRC_URI = "http://roy.marples.name/downloads/dhcpcd/dhcpcd-${PV}.tar.bz2 \
		file://01-dhcpcd-log \
		file://dhcpcd-5.2.8-syslog-to-stderr.patch \
		file://dhcpcd-5.2.8-initial-holdoff.patch \
"

PR = "r2.3"

inherit autotools

do_install_append() {
    # We don't want all of dhcpcd's hooks
    find ${D}${libexecdir}/dhcpcd-hooks -type f ! -name '20-resolv.conf' -print -exec rm -f "{}" \;

    # But we do want our debug hook
    install -m 644 ${WORKDIR}/01-dhcpcd-log ${D}${libexecdir}/dhcpcd-hooks/

    # And we'd rather create our own symlink for /var/db
    rmdir ${D}/var/db

    # We don't want dhcpcd's configuration, we will ship our own
    rm ${D}${sysconfdir}/dhcpcd.conf
}

